<?php
defined( 'ABSPATH' ) || exit;
/**
 * Related Posts
 *
 * @package Simple Days
 */

function simple_days_related_post(){

	$max_post_num = get_theme_mod( 'simple_days_posts_related_post_number',9);
	if( $max_post_num < 0 ) return;
	$post_type = 'post';
	$related_title = __( 'Related Posts', 'simple-days' );
	$display_style = get_theme_mod( 'simple_days_posts_related_post_style','over_thum');

	return simple_days_related_out( $max_post_num , $post_type , $related_title , $display_style );

}
function simple_days_related_page(){

	$max_post_num = get_theme_mod( 'simple_days_page_related_post_number',9);
	if( $max_post_num < 0 ) return;
	$post_type = 'page';
	$related_title = __( 'Related Pages', 'simple-days' );
	$display_style = get_theme_mod( 'simple_days_page_related_post_style','over_thum');

	return simple_days_related_out( $max_post_num , $post_type , $related_title , $display_style );

}

function simple_days_related_list($post){
	$title = $post ->post_title;
	$title = $title === "" ? esc_html__( 'No title', 'simple-days' ) : $title;
	?>
	<li class="pl_item w100 f_box post_list_border">
		<a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="pl_title f_box ai_c p5">
			<?php echo $title; ?>
		</a>
	</li>
	<?php
}


function simple_days_related_list_with_thumbnail($post){
	$thumurl = simple_days_get_thumbnail( $post->ID , 'thumbnail' , $post);
	$title = $post ->post_title;
	$post_url = get_permalink($post->ID);
	$post_content = $post ->post_content;
	?>
	<li class="pl_item posi_re w100 f_box mb10 box_shadow">
		<a href="<?php echo esc_url($post_url); ?>" class="f_box w100 opa7">
			<div class="post_list_thum fit_box_img_wrap">

				<?php
				echo '<'.( YA_AMP ? 'amp-img layout="responsive"' : 'img' ).' src="'.esc_url($thumurl[0]).'" class="scale_13 trans_10" width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'" /></div>';

				echo '<div class="f_box f_col jc_c"><div class="fw8 fc_555">'.$title;



				$judge = $heading_count = preg_match( '/<h([1-6]).*?>(.*?)<\/h[1-6].*?>/iu', $post_content, $heading );

				if($judge) $post_content = $heading[0];

				echo '</div><div class="fc_555 fs14">'.esc_html(mb_strimwidth(wp_strip_all_tags(strip_shortcodes($post_content) , true), 0, 78, "...", 'UTF-8'));
				?>
			</div></div>
		</a>
	</li>

	<?php
}


function simple_days_related_title_under_thumbnail($post){

	$thumurl = simple_days_get_thumbnail( $post->ID , 'medium' , $post);
	$title = $post ->post_title;
	?>
	<li class="rp_box_thum pl_item mb10 opa7 box_shadow of_h">
		<a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="non_hover">

			<div class="rp_img fit_box_img_wrap">
				<?php
				echo '<'.( YA_AMP ? 'amp-img layout="responsive"' : 'img' ).' src="'.esc_url($thumurl[0]).'" class="scale_13 trans_10" width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'" />';
				?>
			</div>
			<div class="rp_thum_title pl_thum_title fc_555 f_box p5 fs14 of_h">
				<?php echo $title; ?>
			</div>
		</a>
	</li>
	<?php
}



function simple_days_related_title_over_thumbnail($post){

	$thumurl = simple_days_get_thumbnail( $post->ID , 'medium' , $post);
	$title = $post ->post_title;
	?>
	<li class="rp_box_tt pl_item posi_re mb10 opa7 box_shadow">
		<a href="<?php echo esc_url(get_permalink($post->ID)); ?>" class="non_hover">
			<div class="rp_tt_title pl_tt_title posi_ab z1 fc_fff f_box p5 left0 right0 of_h fs14">
				<?php echo $title; ?>
			</div>
			<div class="rp_img fit_box_img_wrap">
				<?php
				echo '<'.( YA_AMP ? 'amp-img layout="responsive"' : 'img' ).' src="'.esc_url($thumurl[0]).'" class="scale_13 trans_10" width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'" />';
				?>
			</div>
		</a>
	</li>
	<?php
}







function simple_days_related_out( $max_post_num , $post_type , $related_title , $display_style ){


	$rel_count = 0;
	$rel_posts = array();
	$tag_ids = array();
	$get_page_id = get_the_ID();

	if ( has_tag() ) {
		
		$tags = wp_get_post_tags($get_page_id);
		foreach($tags as $tag):
			array_push( $tag_ids, $tag->term_id);
		endforeach ;
		$tag_args = array(
			'post_type' => $post_type,
			'post__not_in' => array($get_page_id),
			'posts_per_page'=> $max_post_num,
			'tag__in' => $tag_ids,
			'orderby' => 'rand',
		);
		$rel_posts = get_posts($tag_args);
		$rel_count = count($rel_posts);
	}

	if(!has_tag() || $max_post_num > $rel_count){
		
		

		$categories = get_the_category($get_page_id);
		$category_ID = array();
		foreach($categories as $category):
			array_push( $category_ID, $category ->cat_ID);
		endforeach ;
		
		$cat_args = array(
			'post_type' => $post_type,
			'post__not_in' => array($get_page_id),
			'tag__not_in' => $tag_ids,
			'posts_per_page'=> ($max_post_num - $rel_count),
			'category__in' => $category_ID,
			'orderby' => 'rand',
		);
		$cat_posts = get_posts($cat_args);
		$rel_posts = array_merge($rel_posts, $cat_posts);
		shuffle($rel_posts);
	}

	
	
	if(  count( $rel_posts ) > 0 ):
		?>
		<aside id="rp_wrap" class="post_item mtb30">
			<h4 class="item_title"><?php echo esc_html( $related_title ); ?></h4>
			<div  class="related_posts post_list_box">
				<ul class="post_list_ul m0 lsn f_box f_wrap">
					<?php

					if($display_style === 'list'){
						$function_name = 'simple_days_related_list';
					}else if($display_style === 'under_thum'){
						$function_name = 'simple_days_related_title_under_thumbnail';
					}else if($display_style === 'list_thum'){
						$function_name = 'simple_days_related_list_with_thumbnail';
					}else{
						$function_name = 'simple_days_related_title_over_thumbnail';
					}


					foreach ($rel_posts as $post):

						$function_name($post);

					endforeach;

					?>
				</ul>
			</div>
		</aside>
	<?php endif;
}

